
__all__ = ['RuleParsingError', 'ConvertError', 'DataError', 'FatalDataError',
           'RuleError', 'LogError', 'ReportError', 'PredictionError', 'CalcError']

class RuleParsingError(Exception):
    """Exception for errors raised during rule parsing."""
    pass

class ConvertError(Exception):
    """Exception for errors raised when applying convert function of a rule controller."""
    pass

class PredictionError(Exception):
    """Exception for errors raised in the offense prediction model"""
    pass

class ConvertTypeError(Exception):
    """Exception for unsupported Convert Type"""
    pass

class DataError(Exception):
    """General exception for errors raised when manipulating data (deprecated)."""
    pass

class FatalDataError(Exception):
    """Exception for any uncaught errors when applying conversion logic."""
    pass

class RuleError(Exception):
    """Exception for errors raised during application of Rules."""
    pass

class LogError(Exception):
    """Exception for errors raised during log manipulation."""
    pass

class ReportError(Exception):
    """Exception for errors raised during report manipulation."""
    pass

class CalcError(Exception):
    """Exception for errors raised during arthmetic calculations in util folder."""
    pass

class LoadError(Exception):
    """Exception for errors raised during load phase of ETL process."""
    pass

class PreProcessError(Exception):
    """Exception for errors raised during preprocess phase of ETL process."""
    pass

class FeatureError(Exception):
    pass